package user

import (
	"net/http"

	"sundynix-micro-go/app/system/api/internal/logic/user"
	"sundynix-micro-go/app/system/api/internal/svc"
	"sundynix-micro-go/app/system/api/internal/types"
	"sundynix-micro-go/common/response"

	"github.com/zeromicro/go-zero/rest/httpx"
)

func AssignUserRolesHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.AssignUserRolesReq
		if err := httpx.Parse(r, &req); err != nil {
			response.Fail(w, err.Error())
			return
		}
		l := user.NewAssignUserRolesLogic(r.Context(), svcCtx)
		err := l.AssignUserRoles(&req)
		if err != nil {
			response.Fail(w, err.Error())
		} else {
			response.Ok(w)
		}
	}
}
